<?php
/**
 * @file
 * Contains \Drupal\url_alias_permissions\UrlAliasPermPermissions.
 */
namespace Drupal\url_alias_permissions;
use Drupal\node\Entity\NodeType;
use Drupal\Core\StringTranslation\StringTranslationTrait;
 
class UrlAliasPermPermissions {
  use StringTranslationTrait;
  
  public function permissions() {
    $permissions = [];
    
    // Generate edit url alias permissions for all content types.
    foreach (NodeType::loadMultiple() as $node_type) {
      $permissions += [
        'edit ' . $node_type->id() . ' URL alias' => [
          'title' => $this->t('Create and edit %type_name URL alias', array('%type_name' => $node_type->label())),
        ]
      ];
    }

    return $permissions;
  }
}
